set PROD;	# Menge der Produkte
set MASCH;	# Menge der Maschinen
set ROH;	# Menge der Rohstoffe

param gewinn{PROD}>= 0; # Gewinn der Produkte
param kapMasch{MASCH} >=0;	# Kapazitaet der Maschinen
param zeit{PROD,MASCH} >=0;	# Zeit der Produkte in der jeweiligen Maschine
param maxMenge{ROH} >=0;	# Maximalmenge an Rohstoffen
param mengeRoh{ROH,PROD} >=0; # Menge an Rohstoffen fuer jedes Produkt 

var xprod{PROD} >=0; # produzierte Menge der Produkte

# maximiere Gewinn
maximize Gewinn: sum {j in PROD} gewinn[j]*xprod[j];

# Einheltung der zeitlichen kapazitaet
s.t. ZeitKapazitaet{m in MASCH}: sum{p in PROD} zeit[p,m]*xprod[p] <= kapMasch[m];

# Einhaltung der maximalen Rohstoffmengen
s.t. KapRoh {r in ROH}: sum{p in PROD} mengeRoh[r,p]*xprod[p] <= maxMenge[r];


